Workforce
Customer planning snapshot
Read-only capacity planning by customer from one authorized snapshot, with workforce:read at platform scope.
GET
/
api
/
v3
/
customer-planning
Customer planning snapshot
curl --request GET \
--url https://api.forge.gloo.com/api/v3/customer-planning \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.gloo.com/api/v3/customer-planning"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.gloo.com/api/v3/customer-planning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.forge.gloo.com/api/v3/customer-planning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.gloo.com/api/v3/customer-planning"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.forge.gloo.com/api/v3/customer-planning")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.forge.gloo.com/api/v3/customer-planning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"scope": {
"startsAt": 1,
"endsAt": 1,
"at": 1,
"visibility": "visible_pods"
},
"continueCursor": "<string>",
"isDone": true,
"page": [
{
"customer": {
"id": "<string>",
"name": "<string>",
"customerType": "org",
"status": "active"
},
"evaluationAt": 123,
"podCountAtEvaluation": 123,
"deliveryFteAtEvaluation": 123,
"peakDeliveryFte": 123,
"podAssignments": [
{
"id": "<string>",
"pod": {
"id": "<string>",
"name": "<string>",
"managingOrgUnitId": "<string>",
"status": "active"
},
"customer": {
"id": "<string>",
"name": "<string>",
"customerType": "org",
"status": "active"
},
"allocationPercent": 123,
"startsAt": 123,
"verificationState": "current",
"endsAt": 123,
"deliverySlices": [
{
"key": "<string>",
"allocationPercent": 123,
"deliveryType": "msp",
"categoryKey": "<string>",
"categoryLabelSnapshot": "<string>",
"stage": "pre_deal"
}
]
}
],
"segments": [
{
"startsAt": 123,
"endsAt": 123,
"deliveryFte": 123
}
],
"signals": [
"STALE_RELATIONSHIP"
],
"resourcing": {
"owner": {
"personId": "<string>",
"displayName": "<string>",
"state": "current"
},
"internalProfile": {
"startsAt": 123,
"endsAt": 123,
"deliveryType": "msp",
"categoryKey": "<string>",
"categoryLabelSnapshot": "<string>"
},
"deliveryTypes": [
"msp"
],
"categories": [
{
"key": "<string>",
"label": "<string>"
}
],
"stages": [
"pre_deal"
],
"classifiedFte": 123,
"unclassifiedFte": 123,
"resolvedHeadcount": 123,
"unresolvedMemberships": 123,
"glooEmployeeFte": 123,
"partnerAndOtherFte": 123,
"staffingAffiliationCoverage": {
"status": "proven",
"unprovenFte": 1
}
},
"nextBoundaryAt": 123
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": false,
"nextCursor": "<string>",
"truncated": true
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}Authorizations
BearerAuthPlatformApiKeyPersonalKey
Query Parameters
Response
One snapshot, page and continuation
⌘I
Customer planning snapshot
curl --request GET \
--url https://api.forge.gloo.com/api/v3/customer-planning \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.gloo.com/api/v3/customer-planning"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.gloo.com/api/v3/customer-planning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.forge.gloo.com/api/v3/customer-planning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.gloo.com/api/v3/customer-planning"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.forge.gloo.com/api/v3/customer-planning")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.forge.gloo.com/api/v3/customer-planning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"scope": {
"startsAt": 1,
"endsAt": 1,
"at": 1,
"visibility": "visible_pods"
},
"continueCursor": "<string>",
"isDone": true,
"page": [
{
"customer": {
"id": "<string>",
"name": "<string>",
"customerType": "org",
"status": "active"
},
"evaluationAt": 123,
"podCountAtEvaluation": 123,
"deliveryFteAtEvaluation": 123,
"peakDeliveryFte": 123,
"podAssignments": [
{
"id": "<string>",
"pod": {
"id": "<string>",
"name": "<string>",
"managingOrgUnitId": "<string>",
"status": "active"
},
"customer": {
"id": "<string>",
"name": "<string>",
"customerType": "org",
"status": "active"
},
"allocationPercent": 123,
"startsAt": 123,
"verificationState": "current",
"endsAt": 123,
"deliverySlices": [
{
"key": "<string>",
"allocationPercent": 123,
"deliveryType": "msp",
"categoryKey": "<string>",
"categoryLabelSnapshot": "<string>",
"stage": "pre_deal"
}
]
}
],
"segments": [
{
"startsAt": 123,
"endsAt": 123,
"deliveryFte": 123
}
],
"signals": [
"STALE_RELATIONSHIP"
],
"resourcing": {
"owner": {
"personId": "<string>",
"displayName": "<string>",
"state": "current"
},
"internalProfile": {
"startsAt": 123,
"endsAt": 123,
"deliveryType": "msp",
"categoryKey": "<string>",
"categoryLabelSnapshot": "<string>"
},
"deliveryTypes": [
"msp"
],
"categories": [
{
"key": "<string>",
"label": "<string>"
}
],
"stages": [
"pre_deal"
],
"classifiedFte": 123,
"unclassifiedFte": 123,
"resolvedHeadcount": 123,
"unresolvedMemberships": 123,
"glooEmployeeFte": 123,
"partnerAndOtherFte": 123,
"staffingAffiliationCoverage": {
"status": "proven",
"unprovenFte": 1
}
},
"nextBoundaryAt": 123
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": false,
"nextCursor": "<string>",
"truncated": true
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}
